
from conway import ConwaysGame
import logging
import time
import numpy

ITERATIONS = 10

CLEAR = '\x1b[2J\x1b[H'

def main():
    logging.basicConfig(level=logging.DEBUG)
    data = numpy.zeros(dtype=bool, shape=(10,6))
    data[8][1] = True
    data[8][2] = True
    data[8][3] = True
    data[2][2] = True
    data[3][2] = True
    data[4][2] = True

    game = ConwaysGame(data=data)
    #  game.add_random_cells()
    
    step_nr = 0
    while True:
        if step_nr:
            time.sleep(1)
        step_nr += 1
        print(CLEAR)
        live_cells = game.live_cells_count()
        print("Step {}# ========= {}".
                format(step_nr, live_cells))
        game.dump()
        game.next_step()
    


if __name__ == '__main__':
	main()
